import sys,os
import MDAnalysis
import MDAnalysis.analysis
from MDAnalysis.analysis.density import density_from_Universe

u = MDAnalysis.Universe(sys.argv[1],sys.argv[2])

## DPP
D = density_from_Universe(u, delta=1.0, atomselection="name PO4 and resname DPP")
D.export("dppc-phosphates.dx")

D = density_from_Universe(u, delta=1.0, atomselection="name NC3 and resname DPP")
D.export("dppc-choline.dx")

D = density_from_Universe(u, delta=1.0, atomselection="name GL1 or name GL2 and resname DPP")
D.export("dppc-glycerol.dx")

D = density_from_Universe(u, delta=1.0, atomselection="name C* and resname DPP")
D.export("dppc-tails.dx")
